classification
Title: messed up formatting after reindenting
Type: Stage: resolved
Components: Versions:
process
Status: closed Resolution:
Dependencies: Superseder:
Assigned To: Nosy List: Arfrever, benjamin.peterson, mark.dickinson, pitrou, r.david.murray, skrah
Priority: normal Keywords: patch

Created on 2010-06-06 22:08 by benjamin.peterson, last changed 2013-02-20 16:34 by r.david.murray. This issue is now closed.

Files
File name Uploaded Description Edit
trunk-ceval-indent.patch skrah, 2010-06-23 09:26 review
Messages (10)
msg107240 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2010-06-06 22:08
Some C code is incorrectly formatted after the Grand Indenting (TM). Take a gander at stringobject.c for an example.
msg107406 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2010-06-09 16:59
I've fixed some in r81860. If you see others, please signal them here.
msg107763 - (view) Author: Arfrever Frehtes Taifersar Arahesis (Arfrever) * (Python triager) Date: 2010-06-13 22:47
The following command (in bash shell) shows more files:
find -name '*.[ch]' -exec grep -El $'^\t' {} \;

I think that internal copies of libffi should be ignored.
msg108420 - (view) Author: Arfrever Frehtes Taifersar Arahesis (Arfrever) * (Python triager) Date: 2010-06-22 21:20
The following command also finds files, in which tabs are preceded only by spaces:

find -name '*.[ch]' -exec grep -El $'^ *\t' {} \;
msg108443 - (view) Author: Stefan Krah (skrah) * (Python committer) Date: 2010-06-23 09:26
Patch for ceval.c. If you agree with the macro indentation (starting
in line 815) I can commit it and port it to the other branches.
msg108450 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2010-06-23 14:00
Stefan: it's ok with me, thanks.
msg108474 - (view) Author: Stefan Krah (skrah) * (Python committer) Date: 2010-06-23 18:58
Antoine, thanks. ceval.c fixes committed in r82177, r82179, r82181
and r82182.
msg109350 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2010-07-05 19:47
There is also some unpretty formatting in _math.c.
msg109353 - (view) Author: Mark Dickinson (mark.dickinson) * (Python committer) Date: 2010-07-05 20:18
I've fixed the _math.c formatting (r82595, r82596).
msg182530 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2013-02-20 16:34
Looks like there's no reason for this issue to still be open.  If I'm wrong one of the principles can reopen it ;)
History
Date User Action Args
2013-02-20 16:34:51r.david.murraysetstatus: open -> closed

nosy: + r.david.murray
messages: + msg182530

stage: resolved
2010-07-05 20:18:56mark.dickinsonsetnosy: + mark.dickinson
messages: + msg109353
2010-07-05 19:47:48benjamin.petersonsetmessages: + msg109350
2010-06-23 18:58:52skrahsetmessages: + msg108474
2010-06-23 14:00:12pitrousetmessages: + msg108450
2010-06-23 09:26:14skrahsetfiles: + trunk-ceval-indent.patch

nosy: + skrah
messages: + msg108443

keywords: + patch
2010-06-22 21:20:11Arfreversetmessages: + msg108420
2010-06-13 22:47:35Arfreversetnosy: + Arfrever
messages: + msg107763
2010-06-09 16:59:22pitrousetmessages: + msg107406
2010-06-06 22:08:35benjamin.petersoncreate